import 'package:sis_flutter/models/basico_model.dart';
import 'package:sis_flutter/models/tarea_model.dart';

class Actividad extends Basico {
  final String? nombre;
  final String? avance;
  final List<Tarea>? tareas;
  final int? prioridad;
  final String? nombreProyecto;
  final String? idProyecto;

  Actividad({
    super.id,
    this.nombre,
    this.avance,
    this.tareas,
    this.prioridad,
    this.nombreProyecto,
    this.idProyecto,
  });

  factory Actividad.fromJson(Map<String, dynamic> json) {
    var tareasPendientesjson = json["tareasPendientes"] as List<dynamic>;
    List<Tarea> tareasPendientesList = tareasPendientesjson
        .map((e) => Tarea.fromJson(e as Map<String, dynamic>))
        .toList();

    return Actividad(
      id: Basico.parseString(json["id"]),
      nombre: Basico.parseString(json["nombre"]),
      avance: Basico.parseString(json["avance"]),
      tareas: tareasPendientesList,
      prioridad: Basico.parseInt(json["prioridad"]),
      nombreProyecto: Basico.parseString(json["nombreProyecto"]),
      idProyecto: Basico.parseString(json["idProyecto"]),
    );
  }
}
